
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


class WallStreet{
    int[] banks;
    int lepesek;

    public WallStreet(String[] b) {
        banks = new int[b.length];
        
        for(int i = 0; i < b.length; i++){
            banks[i] = Integer.parseInt(b[i]);
        }
        this.lepesek = 0;
    }
    
    public int getIndex(){
        int index = -1;
        int min = 0;
        for(int i = 0; i < banks.length  ; i++){
            if(banks[i] < min){
                min = banks[i];
                index = i;
            }
        }
        return index;
    }
    
    public void set(int i, int sub){
        if(i == 0){
            banks[banks.length - 1] -= sub;
        }else{
            banks[i - 1] -= sub;
        }
        
        banks[i] = Math.abs(banks[i]);
        
        banks[(i + 1) % banks.length] -= sub;
    }
    
    public int solve(){
        int index;
        while((index = getIndex()) != -1){
            set(index, Math.abs(banks[index]));
            lepesek++;
        }
        return lepesek;
    }
}


public class F {

    public static void main(String[] args) throws IOException {
        
        BufferedReader brr = new BufferedReader(new InputStreamReader(System.in));
        int n = Integer.parseInt(brr.readLine());
        
        WallStreet w = new WallStreet(brr.readLine().split(" "));
        System.out.println(w.solve());
    }
    
}
