import java.util.*;

public class Morning {
    public static void main(String[] args) {

        int numberOfTests;
        String value;
        int pressed, lastPressed = 1;

        Map<Integer, List<Integer>> map = new HashMap<>();
        map.put(1, Arrays.asList(0, 1, 2, 3, 4, 5, 6, 7, 8, 9));
        map.put(2, Arrays.asList(0, 2, 3, 5, 6, 8, 9));
        map.put(3, Arrays.asList(3, 6, 9));
        map.put(4, Arrays.asList(0, 4, 5, 6, 7, 8, 9));
        map.put(5, Arrays.asList(0, 5, 6, 8, 9));
        map.put(6, Arrays.asList(6, 9));
        map.put(7, Arrays.asList(0, 7, 8, 9));
        map.put(8, Arrays.asList(0, 8, 9));
        map.put(9, Collections.singletonList(9));
        map.put(0, Collections.singletonList(0));

        Scanner sc = new Scanner(System.in);
        numberOfTests = sc.nextInt();

        for (int i = 0; i < numberOfTests; ++i) {
            StringBuilder newValue = new StringBuilder();
            value = sc.next();

            for (int j = 0; j < value.length(); ++j) {
                pressed = Integer.parseInt(value.substring(j, j+1));

                if (j == 0){
                    newValue.append(pressed);
                    lastPressed = pressed;
                }
                else if (map.get(lastPressed).contains(pressed)) {
                    newValue.append(pressed);
                    lastPressed = pressed;
                }
                else {
                    newValue.append(map.get(lastPressed).get(0));
                    lastPressed = map.get(lastPressed).get(0);
                }
            }
            System.out.println(newValue.toString());
        }
    }
}
