import java.util.*;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int N = sc.nextInt();
        sc.nextLine();

        List<String> firstJudge = new LinkedList<>();
        List<String> secondJudge = new LinkedList<>();

        List<String> checkedWordsOfFirstJudge = new LinkedList<>();
        List<String> checkedWordsOfSecondJudge = new LinkedList<>();

        Map<String,Integer> firstJudgeWordsAndCounters = new TreeMap<>();
        Map<String,Integer> secondJudgeWordsAndCounters = new TreeMap<>();

        for (int i = 0; i < N; i++) {
            firstJudge.add(sc.nextLine());
        }
        for (int i = 0; i < N; i++) {
            secondJudge.add(sc.nextLine());
        }

        for (int i = 0; i < N; i++) {
            int counter = 1;
            for (int j = 0; j < N; j++) {
                if (firstJudge.get(i).equals(firstJudge.get(j)) && i != j && !checkedWordsOfFirstJudge.contains(firstJudge.get(i))) {
                    counter++;
                }
            }
            if (!checkedWordsOfFirstJudge.contains(firstJudge.get(i))) {
                firstJudgeWordsAndCounters.put(firstJudge.get(i),counter);
            }
            checkedWordsOfFirstJudge.add(firstJudge.get(i));
        }

        for (int i = 0; i < N; i++) {
            int counter = 1;
            for (int j = 0; j < N; j++) {
                if (secondJudge.get(i).equals(secondJudge.get(j)) && i != j && !checkedWordsOfSecondJudge.contains(secondJudge.get(i))) {
                    counter++;
                }
            }
            if (!checkedWordsOfSecondJudge.contains(secondJudge.get(i))) {
                secondJudgeWordsAndCounters.put(secondJudge.get(i),counter);
            }
            checkedWordsOfSecondJudge.add(secondJudge.get(i));
        }
        int outputCounter = 0;
        for (Map.Entry<String, Integer> mapOfFirstJudge: firstJudgeWordsAndCounters.entrySet()){
            if(checkedWordsOfSecondJudge.contains(mapOfFirstJudge.getKey())) {
                if (firstJudgeWordsAndCounters.get(mapOfFirstJudge.getKey()) > secondJudgeWordsAndCounters.get(mapOfFirstJudge.getKey())) {
                    outputCounter += secondJudgeWordsAndCounters.get(mapOfFirstJudge.getKey());
                }else if (firstJudgeWordsAndCounters.get(mapOfFirstJudge.getKey()) < secondJudgeWordsAndCounters.get(mapOfFirstJudge.getKey())) {
                    outputCounter += firstJudgeWordsAndCounters.get(mapOfFirstJudge.getKey());
                }else{
                    outputCounter += secondJudgeWordsAndCounters.get(mapOfFirstJudge.getKey());
                }
            }
        }
        System.out.println(outputCounter);
    }
}
