import java.util.Scanner;

public class Bricks {
    public static void main(String[] args) {

        int numberOfTests, mdb;
        long numberOfBricks;
        char brickType;
        long wCount, bCount;
        int valtasok, strLen;

        Scanner sc = new Scanner(System.in);
        numberOfTests = sc.nextInt();

        for (int i = 0; i < numberOfTests; ++i) {
            StringBuilder sb = new StringBuilder();
            String str;
            mdb = sc.nextInt();

            for (int j = 0; j < mdb; ++j) {
                numberOfBricks = sc.nextLong();
                brickType = sc.next().toCharArray()[0];

                for (long k = 0; k < numberOfBricks; ++k)
                    sb.append(brickType);
            }

            str = sb.toString();
            //System.out.println(sb.toString());

            wCount = str.chars()
                    .filter(s -> s == 'W')
                    .count();
            bCount = str.chars()
                    .filter(s -> s == 'B')
                    .count();

            //System.out.println(wCount + " " + bCount);

            long gcdV = gcd(wCount, bCount);
            wCount = wCount / gcdV;
            bCount = bCount / gcdV;

            if (wCount != 0) str = str.replace("W".repeat((int)wCount), "X");
            if (bCount != 0) str = str.replace("B".repeat((int)bCount), "Y");

            strLen = str.length();

            str = str.replace("XY", "");
            str = str.replace("YX", "");

            valtasok = (strLen - str.length()) / 2;
            if (valtasok == 0) valtasok = strLen;
            System.out.println(valtasok);
        }
    }

    private static long gcd(long a, long b) {
        if (a == 0)
            return b;
        return gcd(b%a, a);
    }
}
